function [T, r] = HOMO(impts, marksize)

d= sqrt(2)*marksize/2;
Pts= [d 0 0 1;0 d 0 1;-d 0 0 1;0 -d 0 1].';

A= [];
for i= 1:4
    xi= Pts(1,i);
    yi= Pts(2,i);
    ui= impts(1,i);
    vi= impts(2,i);
    ai= [xi yi 1];
    Ai= [ai 0 0 0 -ui*ai; 0 0 0 ai -vi*ai];
    A= [A; Ai];
end

[V D]= eig(A'*A);
V= V(:,1);
V= V*sign(V(end));
A= reshape(V,3,3)';
A= A/norm(A(:,1));
R= A;
t= A(:,3);
R(:,3)= cross(A(:,1),A(:,2));

XXc= [R t]*Pts;
[R t]= getrotT(Pts(1:3,:)',XXc');

T= [R t];

[prjpts,r]= projtarget(R,t,Pts,impts);

return
