function [T, r] = LHM(impts, marksize)
% function [T, r] = LHM(impts, marksize)

d= sqrt(2)*marksize/2;
Pts= [d 0 0 1;0 d 0 1;-d 0 0 1;0 -d 0 1].';

options.tol= 1e-5;
options.epsilon= 1e-8;
options.method= 'SVD';
[R, t, it, objerr, imgerr] = objpose(Pts(1:3,:),impts,options);

% make sure the coordinate is right hand
X= R(:,1);
Y= R(:,2);
Z= R(:,3);
if norm(cross(X,Y)-Z) > 2e-2
    R(:,3)= -Z;
end

T= [R t];

[prjpts,r]= projtarget(R,t,Pts,impts);

return
