function plotresult(resdata,restime,noiselevels)

close all

n= length(resdata);
m= length(resdata{1});

vnum= zeros(n,m);
mean_r= zeros(n,m);
meanv_r= zeros(n,m);
median_r= zeros(n,m);
mean_t= zeros(n,m);
meanv_t= zeros(n,m);
median_t= zeros(n,m);

thresh= 15;  % (degree) threshold of valid result

% deal result -----------------------------------------------------------
for i= 1:n
    for j= 1:m
        tmp= resdata{i}{j};
        idx= find(tmp(:,1) < thresh);
        vnum(i,j)= length(idx);
        
        m1= mean(tmp);
        mean_r(i,j)= m1(1);
        mean_t(i,j)= m1(2);
        
        m2= median(tmp);
        median_r(i,j)= m2(1);
        median_t(i,j)= m2(2);
        
        m3= mean(tmp(idx,:));
        meanv_r(i,j)= m3(1);
        meanv_t(i,j)= m3(2);
    end
end

T= cell2mat(restime');
T= T(2:end,:);
T= mean(T)*1000;

% plot the result -------------------------------------------------------

% Num of Correct Results
xplot(noiselevels,vnum,'Num of Correct Results');
ylim([0 length(tmp)]);
% Rotation Error & Translation Error
xplot(noiselevels,mean_r,'Mean Rotation Error','Rotation Error (degree)');
ylim([0 45]);
xplot(noiselevels,median_r,'Median Rotation Error','Rotation Error (degree)');
ylim([0 45]);

xplot(noiselevels,mean_t,'Mean Translation Error','Translation Error (%)');
ylim([0 30]);
xplot(noiselevels,median_t,'Median Translation Error','Translation Error (%)');
ylim([0 30]);

return