
clear; clc;
addpath lhm;
addpath sp;
addpath lmf;
addpath data;
addpath func;

% setup experimental parameters -----------------------------------------
imsize= [640 480];      % (pixel) resolution of camera
focal= 800;             % (pixel) focal length
targetsize= 60;         % (mm) target edge length
distance= [200,700];	% (mm) the range of distance from camera to mark

% generate 1000 random pose. 'randdata' consists of :
% (1) Transform Matrix 'T' and (2) image point with no noise
num= 1000;
randdata= GenRandData(num,targetsize,focal,imsize,...
    distance(1),distance(2));

tablename= 'LUT_75';

% random test at 11 noise-levels ----------------------------------------
noiselevels= 0:0.5:5;
ResData= {};
ResTime= {};
for i=1:length(noiselevels)
    fprintf('noiselevel= %.1f\n', noiselevels(i));
    [ResData{i}, ResTime{i}]= random_test(randdata,noiselevels(i),...
        focal,targetsize,tablename);
end

% plot result -----------------------------------------------------------
plotresult(ResData,ResTime,noiselevels);


